# Pymov

[![PyPI](https://img.shields.io/pypi/v/pymov.svg)][pypi status]
[![Status](https://img.shields.io/pypi/status/pymov.svg)][pypi status]
[![Python Version](https://img.shields.io/pypi/pyversions/pymov)][pypi status]
[![License](https://img.shields.io/pypi/l/pymov)][license]
[![DOI](https://zenodo.org/badge/732227913.svg)](https://zenodo.org/doi/10.5281/zenodo.10724788)

[![Read the documentation at https://pymov.readthedocs.io/](https://img.shields.io/readthedocs/pymov/latest.svg?label=Read%20the%20Docs)][read the docs]
[![Tests](https://github.com/nanosystemslab/pymov/workflows/Tests/badge.svg)][tests]
[![Codecov](https://codecov.io/gh/nanosystemslab/pymov/branch/main/graph/badge.svg)][codecov]

[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)][pre-commit]
[![Black](https://img.shields.io/badge/code%20style-black-000000.svg)][black]

[pypi status]: https://pypi.org/project/pymov/
[read the docs]: https://pymov.readthedocs.io/
[tests]: https://github.com/nanosystemslab/pymov/actions?workflow=Tests
[codecov]: https://app.codecov.io/gh/nanosystemslab/pymov
[pre-commit]: https://github.com/pre-commit/pre-commit
[black]: https://github.com/psf/black

## U.S. Solid 1/4" Stainless Steel Motorized Ball Valve

This library provides control of the U.S. Solid 1/4" Stainless Steel Motorized Ball Valve used in our QCM aparatus.

## Features

- Track, open, close, and stop valves

## Requirements

- Python <4.0, >=3.9

## Installation

You can install _Pymov_ via [pip] from [PyPI]:

```console
$ pip install pymov
```

## Usage

Please see the [Command-line Reference] for details.

## Contributing

Contributions are very welcome.
To learn more, see the [Contributor Guide].

## License

Distributed under the terms of the [GPL 3.0 license][license],
_Pymov_ is free and open source software.

## Citation

If you use this project in your research, please cite it using the following BibTeX entry:

```bibtex
@software{pymov,
  author       = {Nakamura, Matthew and Renzo Claudio, Josh},
  title        = {PyMOV: U.S. Solid 1/4" Stainless Steel Motorized Ball Valve Control Library},
  month        = feb,
  year         = 2024,
  publisher    = {Zenodo},
  version      = {v0.0.1},
  doi          = {10.5281/zenodo.10724789},
  url          = {https://zenodo.org/records/10724789}
}
```

## Issues

If you encounter any problems,
please [file an issue] along with a detailed description.

## Credits

This project was generated from [@cjolowicz]'s [Hypermodern Python Cookiecutter] template.

[@cjolowicz]: https://github.com/cjolowicz
[pypi]: https://pypi.org/
[hypermodern python cookiecutter]: https://github.com/cjolowicz/cookiecutter-hypermodern-python
[file an issue]: https://github.com/nanosystemslab/pymov/issues
[pip]: https://pip.pypa.io/

<!-- github-only -->

[license]: https://github.com/nanosystemslab/pymov/blob/main/LICENSE
[contributor guide]: https://github.com/nanosystemslab/pymov/blob/main/CONTRIBUTING.md
[command-line reference]: https://pymov.readthedocs.io/en/latest/usage.html
